This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 857135

Summary: CVE-2012-4423 libvirt: null function pointer invocation in virNetServerProgramDispatchCall() [fedora-all]
Product: [Fedora] Fedora Reporter: Petr Matousek <pmatouse>
Component: libvirtAssignee: Cole Robinson <crobinso>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: 17CC: berrange, clalancette, eblake, itamar, jforbes, jyang, laine, libvirt-maint, mkletzan, veillard, virt-maint
Target Milestone: ---Keywords: Security, SecurityTracking
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-10-27 12:59:33 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 857133    

Description Petr Matousek 2012-09-13 12:17:38 EDT
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected Fedora
versions.

For comments that are specific to the vulnerability please use bugs filed
against "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please include this bug ID and the
bug IDs of this bug's parent bugs filed against the "Security Response"
product (the top-level CVE bugs).  Please mention the CVE IDs being fixed
in the RPM changelog when available.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=857133

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please ensure that it is only closed
when all affected versions are fixed.

[bug automatically created by: add-tracking-bugs]
Comment 2 Eric Blake 2012-09-19 13:50:43 EDT
I'm moving this to POST; in libvirt.git, v0.9.6-maint (for F16) and v0.9.7-maint (for F17) include the patch, all that remains is the rest of the release logic to get to 0.9.6.3 and 0.9.11.6.
Comment 3 Fedora Update System 2012-10-07 19:46:16 EDT
libvirt-0.9.6.3-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/libvirt-0.9.6.3-1.fc16
Comment 4 Fedora Update System 2012-10-07 20:09:51 EDT
libvirt-0.9.11.6-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/libvirt-0.9.11.6-1.fc17
Comment 5 Fedora Update System 2012-10-08 17:53:33 EDT
Package libvirt-0.9.11.6-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libvirt-0.9.11.6-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-15634/libvirt-0.9.11.6-1.fc17
then log in and leave karma (feedback).